Skip to main content
POST
/
organization
/
{organizationId}
/
inviteMember
/
{inviteId}
Accept Invite in the organization
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/inviteMember/{inviteId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "email": "jsmith@example.com",
  "role": "ADMIN",
  "invitation_link": "<string>",
  "invitation_status": "EXPIRED",
  "inviter": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "organization_name": "<string>",
  "logo_url": "<string>",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

inviteId
string<uuid>
required

Invite ID

Response

User invited

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
email
string<email>
required
role
enum<string>
required

deprecated

Available options:
ADMIN,
DEVELOPER,
OWNER,
VIEWER
invitation_status
enum<string>
required
Available options:
EXPIRED,
PENDING
inviter
string
required
updated_at
string<date-time>
read-only
organization_name
string
logo_url
string<uri>
role_id
string<uuid>
role_name
string